import java.util.*;
import com.yealink.profile.encyption.Yealink;

class MyThead implements Runnable {
    Yealink yl_encrypt = new Yealink();
    int    encMode;
    String srcFilePath;
    String dstFilePath;
    String strkey;
    String pubKey;

    public MyThead(String mode, String pubKeyFile, String sourcFile, String destFile, String key){
        encMode = Integer.parseInt( mode );
        srcFilePath = sourcFile;
        dstFilePath = destFile;
        strkey = key;
        pubKey = pubKeyFile;
        System.out.println("*java: pubKeyFile=" + pubKeyFile + "srcFilePath=" + srcFilePath + ", dstFilePath=" + dstFilePath + ", key=" + strkey);
    }

    public void run() {
        if (encMode == 0)
            RSA_ConfigJniTest();
        else
            CMPT_ConfigJniTest();
    }

    private void RSA_ConfigJniTest() {
        yl_encrypt.RSA_ConfigJni(pubKey, strkey, srcFilePath, dstFilePath);
    }
    private void CMPT_ConfigJniTest() {
        yl_encrypt.CMPT_ConfigJni(pubKey, strkey, srcFilePath, dstFilePath);
    }
}

public class YealinkDemo1 {
    public static void main(String[] args) throws Exception {
        String srcFilePath = args[0];
        String dstFilePath = args[1];
        String strkey = args[2];
        String pubkey = args[3];
        String mode = args[4];

        System.out.println(srcFilePath);
        System.out.println(dstFilePath);
        System.out.println(strkey);


        MyThead myThead = new MyThead(mode, pubkey, srcFilePath, dstFilePath, strkey);
        Thread thread = new Thread(myThead);
        thread.start();
    }
}